# Snapshot report for `test/test.js`

The actual snapshot is saved in `test.js.snap`.

Generated by [AVA](https://ava.li).

## :capture-once

> :capture-once - before

    '<a onEvent:capture-once={this.action1} />'

> :capture-once - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "~!event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Combine Events

> Combine Events - before

    '<a onEvent={this.action1} onEvent={this.action2} />'

> Combine Events - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": [$event => {␊
          _this.action1($event);␊
        }, $event => {␊
          _this.action2($event);␊
        }]␊
      }␊
    }} />;`

## Ignores attributes

> Ignores attributes - before

    '<a href="#" />'

> Ignores attributes - compiled

    '<a href="#" />;'

## Ignores not jsx expressions

> Ignores not jsx expressions - before

    '<a onEvent="str" />'

> Ignores not jsx expressions - compiled

    '<a />;'

## Ignores spread

> Ignores spread - before

    '<a {...b} />'

> Ignores spread - compiled

    '<a {...b} />;'

## No Events

> No Events - before

    '<a />'

> No Events - compiled

    '<a />;'

## No key modifier but alt and shift and must be both alt and shift :bare-alt-shift

> No key modifier but alt and shift and must be both alt and shift :bare-alt-shift - before

    '<a onEvent:bare-alt-shift={this.action1} />'

> No key modifier but alt and shift and must be both alt and shift :bare-alt-shift - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey || $event.metaKey || !$event.altKey || !$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Plain Event

> Plain Event - before

    '<a onEvent={this.action} />'

> Plain Event - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          _this.action($event);␊
        }␊
      }␊
    }} />;`

## Simple :capture

> Simple :capture - before

    '<a onEvent:capture={this.action1} />'

> Simple :capture - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "!event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :once

> Simple :once - before

    '<a onEvent:once={this.action1} />'

> Simple :once - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "~event": $event => {␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple :self

> Simple :self - before

    '<a onEvent:self={this.action1} />'

> Simple :self - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.target !== $event.currentTarget) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple alias :enter

> Simple alias :enter - before

    '<a onEvent:enter={this.action1} />'

> Simple alias :enter - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && _this._k($event.keyCode, "enter", 13)) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple double alias :delete

> Simple double alias :delete - before

    '<a onEvent:delete={this.action1} />'

> Simple double alias :delete - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && _this._k($event.keyCode, "delete", [8, 46])) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple key code :k120

> Simple key code :k120 - before

    '<a onEvent:k120={this.action1} />'

> Simple key code :k120 - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!("button" in $event) && $event.keyCode !== 120) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple key-modifier :shift

> Simple key-modifier :shift - before

    '<a onEvent:shift={this.action1} />'

> Simple key-modifier :shift - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if (!$event.shiftKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple no-key-modifier :bare

> Simple no-key-modifier :bare - before

    '<a onEvent:bare={this.action1} />'

> Simple no-key-modifier :bare - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          if ($event.ctrlKey || $event.shiftKey || $event.altKey || $event.metaKey) return null;␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple preventDefault :prevent

> Simple preventDefault :prevent - before

    '<a onEvent:prevent={this.action1} />'

> Simple preventDefault :prevent - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.preventDefault();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Simple stopPropagation :stop

> Simple stopPropagation :stop - before

    '<a onEvent:stop={this.action1} />'

> Simple stopPropagation :stop - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          $event.stopPropagation();␊
    ␊
          _this.action1($event);␊
        }␊
      }␊
    }} />;`

## Supports Dash

> Supports Dash - before

    '<a on-event={this.action} />'

> Supports Dash - compiled

    `var _this = this;␊
    ␊
    <a {...{␊
      on: {␊
        "event": $event => {␊
          _this.action($event);␊
        }␊
      }␊
    }} />;`
